﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace AutoCompleteSL
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<string> items;

        public ObservableCollection<string> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
                this.OnPropertyChanged("Items");
            }
        }

        public ICommand ClearSelectionCommand { get; set; }
        public ViewModel()
        {
            this.Items = new ObservableCollection<string>();

            for (int i = 0; i < 10; i++)
            {
                this.Items.Add("item " + i);
            }

            this.ClearSelectionCommand = new DelegateCommand(OnClearSelectionCommandExecute);
        }

        private void OnClearSelectionCommandExecute(object obj)
        {
            var autoComplete = obj as RadAutoCompleteBox;
            autoComplete.SelectedItem = null;
        }
    }
}